Search documentation of polar_express

# PolarExpress.Schemas.EventName (polar_express v0.1.5)

Copy Markdown View Source

EventName

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.EventName{
      first_seen: DateTime.t() | nil,
      last_seen: DateTime.t() | nil,
      name: String.t() | nil,
      occurrences: integer() | nil,
      source: PolarExpress.Schemas.EventSource.t() | nil
    }

- `first_seen` - The first time the event occurred. Format: date-time.
- `last_seen` - The last time the event occurred. Format: date-time.
- `name` - The name of the event.
- `occurrences` - Number of times the event has occurred.
- `source` - The source of the event. `system` events are created by Polar. `user` events are the one you create through our ingestion API.

## Functions

# schema_name()